Get SSO configuration for organization - SuperAI Flows
Get SSO configuration for organization
cURL
curl --request GET \
--url https://flows.super.ai/api/sso \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
import requests
url = "https://flows.super.ai/api/sso"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/sso', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
{
"created_at": "2023-11-07T05:31:56Z",
"sso_provider_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"attribute_mapping": {},
"domains": [
"<string>"
],
"is_active": true,
"metadata_url": "<string>",
"metadata_xml_hash": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Authorizations
X-API-Key
Type: string
Location: header
Required: YesInclude your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
Authorization
Type: string
Location: header
Required: YesInclude your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Response Model
- created_at: string
(required) - Creation timestamp. - sso_provider_id: string (required) - Supabase SSO provider ID.
- updated_at: string
(required) - Last update timestamp. - attribute_mapping: object|null - SAML attribute mappings.
- domains: string[]|null - Email domains for this SSO provider.
- is_active: boolean - Whether the SSO provider is active.
- metadata_url: string|null - SAML metadata URL.
- metadata_xml_hash: string|null - Hash of SAML metadata XML.
- organization_id: string
|null - Associated organization ID.